
-- extensions require elevated privileges to create, we cannot
-- create them with our regular i3dhub user

create schema extensions;

-- make sure everybody can use everything in the extensions schema
grant usage on schema extensions to public;
grant execute on all functions in schema extensions to public;

-- include future extensions
alter default privileges in schema extensions grant execute on functions to public;
alter default privileges in schema extensions grant usage   on types     to public;

create extension if not exists plpgsql;
create extension if not exists hstore    schema extensions;
create extension if not exists btree_gin schema extensions;
create extension if not exists dblink    schema extensions;
